Resize a notebook instance disk to a higher capacity.
HTTP request
POST https://notebooks.googleapis.com/v2/{notebookInstance}:resizeDisk
Path parameters
| Parameters | |
|---|---|
notebookInstance |
Required. Format: Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "bootDisk": { object ( |
| Fields | |
|---|---|
| Type of the disk that can be resized: boot or data disk The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
bootDisk |
Required. The boot disk to be resized. Only diskSizeGb will be used. |
dataDisk |
Required. The data disk to be resized. Only diskSizeGb will be used. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/notebooks
For more information, see the Authentication Overview.